#include <bits/stdc++.h>
using namespace std;
int n,c[100000],b[10001],m,d=0,a[10001],freq[1000000];
int main()
{
    freopen("DR.INP","r",stdin);
    freopen("DR.OUT","w",stdout);
    cin>>n>>m;
    for (int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for (int i=0;i<m;i++)
    {
        cin>>b[i];
        freq[b[i]]++;
    }
    for (int i=0;i<n;i++)
    {
        if (freq[a[i]]==0)
            c[d++]=a[i];
    }
    cout<<d<<endl;
    sort(c,c+d);
    for (int i=0;i<d;i++)
        cout<<c[i]<<" ";
}
